Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 58275)
@@ -20,6 +20,7 @@
 import {HelperFunctions} from "../../utils/HelperFunctions.class";
 import {HelperService} from "../../utils/helper/helper.service";
 import {Location} from "@angular/common";
+import {HtmlProjectReportService} from "../htmlProjectReport/htmlProjectReport.service";
 
 @Component({
   selector: 'project',
@@ -47,11 +48,8 @@
   public chartAccessModeUrl: string;
   public chartDatasourcesUrl: string;
 
-  // HTML variables in APP BOX
-  public publications_dynamic: string;
-  public datasets_dynamic: string;
-  public software_dynamic: string;
-  public orps_dynamic: string;
+  // Clipboard variable for HTML dynamic content
+  public clipboard;
 
   public project;
 
@@ -58,10 +56,12 @@
   // CSV variables
   public downloadURLAPI: string;
   public csvParams: string;
-  public csvParamsDatasets: string;
-  public csvParamsSoftware: string;
-  public csvParamsOrps: string;
 
+  // HTML (download) variables
+  public header1: string = "";
+  public header2: string = "";
+  public htmlResultDownload: string = "";
+
   // Message variables
   public warningMessage = "";
   public errorMessage = "";
@@ -70,6 +70,8 @@
   // Active tab variable for responsiveness
   public activeTab: string = "Publications";
 
+  @ViewChild('statisticsModal') statisticsModal;
+
   // Request results for publications, research data and software only the one time (first time tab is clicked)
   private reloadPublications: boolean = true;
   private reloadDatasets: boolean = true;
@@ -76,6 +78,10 @@
   private reloadSoftware: boolean = true;
   private reloadOrps: boolean = true;
 
+  // Variables for entity selections on the right column
+  public share_research_results_type: string = "";
+  public download_research_results_type: string = "";
+
   // Variables for publications, research data, software tabs
   public fetchPublications: FetchResearchResults;
   public linkToSearchPublications = "";
@@ -91,36 +97,53 @@
   public pageContents = null;
   public divContents = null;
 
-  public share_research_results_type: string = "";
+  public indexUpdateDate: Date;
+  public showFeedback: boolean;
+  public feedbackFields: string [] = [
+    'Title', 'Funding Information', 'Duration',
+    'Organizations', 'Other'];
 
   @ViewChild(ModalLoading) loading: ModalLoading;
   // Alert box when something is wrong with CSV requests
   @ViewChild('AlertModalCsvError') alertCsvError;
 
+  // Description variables for view more/less functionality
+  public thresholdDescription: number = 670;
+  public showNumDescription: number = 670;
+
+  // Organizations variables for view more/less functionality
+  public thresholdOrganizations: number = 20;
+  public showNumOrganizations: number = 20;
+
   sub: any;
   piwiksub: any;
   infoSub: any;
   downloadFilePiwikSub: any;
+  downloadHtmlFilePiwikSub: any;
   properties: EnvProperties;
 
-  constructor(private _projectService: ProjectService,
+  public subHTML: any;
+
+  constructor(private  route: ActivatedRoute,
+              private _router: Router,
+              private _location: Location,
+              private _meta: Meta,
+              private _title: Title,
+              private seoService: SEOService,
               private _piwikService: PiwikService,
-              private  route: ActivatedRoute,
-              private router: Router,
+              private helper: HelperService,
+              private _projectService: ProjectService,
               private _searchResearchResultsService: SearchResearchResultsService,
               private _reportsService: ReportsService,
-              private _meta: Meta,
-              private _title: Title,
-              private _router: Router,
-              private helper: HelperService,
-              private seoService: SEOService,
-              private _location: Location) {
-  }
+              private htmlService: HtmlProjectReportService) {}
 
   ngOnInit() {
     this.route.data
       .subscribe((data: { envSpecific: EnvProperties }) => {
         this.properties = data.envSpecific;
+        if(this.properties.lastIndexUpdate) {
+          this.indexUpdateDate = new Date(this.properties.lastIndexUpdate);
+        }
         //this.getDivContents();
         this.getPageContents();
         this.updateUrl(data.envSpecific.baseLink + this._router.url);
@@ -137,6 +160,8 @@
       var title = "Project";
       var description = "";
 
+      this.header1 = "";
+
       this.updateTitle(title);
       this.updateDescription(description);
       this.projectId = params['projectId'];
@@ -159,15 +184,32 @@
       this.downloadURLAPI = this.properties.csvAPIURL;
 
       this.createClipboard();
-      this.csvParams = "?format=csv-special&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact \"" + this.projectId + "\"))";
-      this.csvParamsDatasets = "?format=csv-special&type=datasets&fq=(((oaftype exact result) and (resulttypeid exact dataset)) and (relprojectid exact \"" + this.projectId + "\"))";
-      this.csvParamsSoftware = "?format=csv-special&type=software&fq=(((oaftype exact result) and (resulttypeid exact software)) and (relprojectid exact \"" + this.projectId + "\"))";
-      this.csvParamsOrps = "?format=csv-special&type=other&fq=(((oaftype exact result) and (resulttypeid exact other)) and (relprojectid exact \"" + this.projectId + "\"))";
-
       HelperFunctions.scroll();
     });
   }
 
+  public getFileNameType(type: string) {
+    if(type == "results") {
+      return "research-outcomes";
+    } else if(type == "publications") {
+      return "publications";
+    } else if(type == "datasets") {
+      return "research-data";
+    } else if(type == "software") {
+      return "software";
+    } else if(type == "other") {
+      return "other-research-products";
+    }
+    return "results";
+  }
+
+  public getCsvParams(type: string) {
+    // if(type == "results") {
+    //   type = "publications&type=datasets&type=software&type=other";
+    // }
+    return "?format=csv-special&type="+type+"&fq=(relprojectid exact \"" + this.projectId + "\")";
+  }
+
   private getPageContents() {
     this.helper.getPageHelpContents(this._router.url, this.properties, this.communityId).subscribe(contents => {
       this.pageContents = contents;
@@ -180,47 +222,20 @@
     })
   }
 
-  actionsAfterLoadId() {
-    this.publications_dynamic =
-      "<script type=\"text/javascript\">"
+  getDynamicContent(type: string) {
+    return  "<script type=\"text/javascript\">"
       + "\n<!--"
       + "\ndocument.write('<div id=\"oa_widget\"></div>');"
       + "\ndocument.write('<script type=\"text/javascript\""
       + " src=\"" + this.properties.widgetLink
-      + this.projectId + "&type=publication\"></script>');"
+      + this.projectId + "&type="
+      + type
+      + "\"></script>');"
       + "\n-->"
       + "\n</script>";
+  }
 
-    this.datasets_dynamic =
-      "<script type=\"text/javascript\">"
-      + "\n<!--"
-      + "\ndocument.write('<div id=\"oa_widget\"></div>');"
-      + "\ndocument.write('<script type=\"text/javascript\""
-      + " src=\"" + this.properties.widgetLink
-      + this.projectId + "&type=dataset\"></script>');"
-      + "\n-->"
-      + "\n</script>";
-
-    this.software_dynamic =
-      "<script type=\"text/javascript\">"
-      + "\n<!--"
-      + "\ndocument.write('<div id=\"oa_widget\"></div>');"
-      + "\ndocument.write('<script type=\"text/javascript\""
-      + " src=\"" + this.properties.widgetLink
-      + this.projectId + "&type=software\"></script>');"
-      + "\n-->"
-      + "\n</script>";
-
-    this.orps_dynamic =
-      "<script type=\"text/javascript\">"
-      + "\n<!--"
-      + "\ndocument.write('<div id=\"oa_widget\"></div>');"
-      + "\ndocument.write('<script type=\"text/javascript\""
-      + " src=\"" + this.properties.widgetLink
-      + this.projectId + "&type=other\"></script>');"
-      + "\n-->"
-      + "\n</script>";
-
+  actionsAfterLoadId() {
     this.getProjectInfo(this.projectId);
     //this.searchPublications();
     this.fetchPublications.getNumForEntity("publication", "project", this.projectId, this.properties);
@@ -242,18 +257,17 @@
     if (this.downloadFilePiwikSub) {
       this.downloadFilePiwikSub.unsubscribe();
     }
+    if(this.downloadHtmlFilePiwikSub) {
+      this.downloadHtmlFilePiwikSub.unsubscribe();
+    }
   }
 
   private createClipboard() {
     if (typeof window !== 'undefined') {
-
-      let publications_clipboard, datasets_clipboard, software_clipboard, other_clipboard;
+      delete this.clipboard;
       let Clipboard;
       Clipboard = require('clipboard');
-      publications_clipboard = new Clipboard('.publications_clipboard_btn');
-      datasets_clipboard = new Clipboard('.datasets_clipboard_btn');
-      software_clipboard = new Clipboard('.software_clipboard_btn');
-      other_clipboard = new Clipboard('.other_clipboard_btn');
+      this.clipboard = new Clipboard('.clipboard_btn');
     }
   }
 
@@ -260,11 +274,6 @@
   private searchPublications() {
     this.fetchPublications.getResultsForEntity("publication", "project", this.projectId, 1, 10, this.properties);
     this.linkToSearchPublications = this.properties.searchLinkToAdvancedPublications;// + "?project=" + this.projectId+"&pr=and";
-    //if(this.fetchPublications.searchUtils.totalResults > 0) {
-    //this.activeTab = "Publications";
-    //} else {
-    //this.searchDatasetsInit();
-    //}
     this.reloadPublications = false;
   }
 
@@ -377,7 +386,7 @@
     }
     this.seoService.createLinkForCanonicalURL(this.properties.baseLink + this._router.url);
     this.updateTitle(this.projectName);
-    this.updateDescription("project, " + this.projectName + "," + this.projectInfo.funder + "," + this.projectInfo.acronym);
+    this.updateDescription("project, " + this.projectName + "," + this.projectInfo.funding.funderShortName + "," + this.projectInfo.acronym);
     if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
       this.piwiksub = this._piwikService.trackView(this.properties, this.projectName, this.piwikSiteId).subscribe();
     }
@@ -384,7 +393,7 @@
 
     this.project = {
       funderId: "",
-      funderName: this.projectInfo.funder,
+      funderName: ((this.projectInfo.funding) ? this.projectInfo.funding.funderShortName: ''),
       projectId: this.projectId,
       projectName: this.projectInfo.title,
       projectAcronym: this.projectInfo.acronym,
@@ -404,7 +413,7 @@
     this.showLoading = false;
   }
 
-  public downloadfile(url: string, filename: string) {
+  public downloadCsvFile(url: string, filename: string) {
     this.openLoading();
     this.setMessageLoading("Downloading CSV file");
 
@@ -412,17 +421,9 @@
       data => {
         this.closeLoading();
 
-        var url = window.URL.createObjectURL(data);
-        var a = window.document.createElement('a');
-        window.document.body.appendChild(a);
-        a.setAttribute('style', 'display: none');
-        a.href = url;
-        a.download = filename + ".csv";
-        a.click();
-        window.URL.revokeObjectURL(url);
-        a.remove(); // remove the element
+        let url = window.URL.createObjectURL(data);
+        this.download(url, filename+".csv");
 
-        //window.open(window.URL.createObjectURL(data));
         if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
           this.downloadFilePiwikSub = this._piwikService.trackDownload(this.properties, url).subscribe();
         }
@@ -432,49 +433,12 @@
         this.handleError("Error downloading file: " + filename, error);
 
         this.closeLoading();
-        this.confirmOpenCsvError();
+        this.confirmOpenFileDownloadError("CSV");
       }/*,
             () => console.log('Completed file download.')*/
     );
   }
 
-  /*
-      showHTML(){
-        let info:string = "<h1>Publications of Project ";
-
-        if(this.projectInfo.title != undefined && this.projectInfo.title != "") {
-            info += this.projectInfo.title;
-        }
-        if((this.projectInfo.title != undefined && this.projectInfo.title != "") &&
-           ((this.projectInfo.acronym != undefined && this.projectInfo.acronym != "") ||
-            (this.projectInfo.callIdentifier != undefined && this.projectInfo.callIdentifier != ""))) {
-                  info += "(";
-        }
-        if(this.projectInfo.acronym != undefined && this.projectInfo.acronym != "") {
-            info += this.projectInfo.acronym + " - ";
-        }
-        if(this.projectInfo.callIdentifier != undefined && this.projectInfo.callIdentifier != "") {
-            info += this.projectInfo.callIdentifier;
-        }
-        if((this.projectInfo.title != undefined && this.projectInfo.title != "") &&
-           ((this.projectInfo.acronym != undefined && this.projectInfo.acronym != "") ||
-            (this.projectInfo.callIdentifier != undefined && this.projectInfo.callIdentifier != ""))) {
-                  info += ")";
-        }
-        info +="</h1>";
-        info += "<h3>"+this.fetchPublications.searchUtils.totalResults+" publications</h3>";
-
-        let htmlParams = 'resources?format=html&page=0&size='+this.fetchPublications.searchUtils.totalResults+'&type=publications&query=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact "'+this.projectId+'"))';
-        this._reportsService.downloadHTMLFile(this.downloadURLAPI+htmlParams, info)
-            .subscribe(data => this.funct(data),
-                        error => console.log("Error downloading the file."),
-                        () => console.log('Completed file download.'));
-       }
-
-       funct(data) {
-           var win = window.open(window.URL.createObjectURL(data));
-       }
-  */
   public metricsResults($event) {
     this.totalViews = $event.totalViews;
     this.totalDownloads = $event.totalDownloads;
@@ -481,6 +445,179 @@
     this.pageViews = $event.pageViews;
   }
 
+  public openStatistics() {
+    this.statsClicked = true;
+    this.statisticsModal.cancelButton = false;
+    this.statisticsModal.okButton = false;
+    this.statisticsModal.alertTitle = "Statistics of";
+    this.statisticsModal.open();
+  }
+
+  private createHeaders(type: string) {
+    this.openLoading();
+    this.setMessageLoading("Downloading HTML file");
+
+    if(!this.header1) {
+      this.createHeader1();
+    }
+
+    if (type == "publications") {
+      this.header2 = this.fetchPublications.searchUtils.totalResults.toLocaleString('en-US') + " publications";
+    } else if (type == "datasets") {
+      this.header2 = this.fetchDatasets.searchUtils.totalResults.toLocaleString('en-US') + " research data";
+    } else if (type == "software") {
+      this.header2 = this.fetchSoftware.searchUtils.totalResults.toLocaleString('en-US') + " software";
+    } else if (type == "other") {
+      this.header2 = this.fetchOrps.searchUtils.totalResults.toLocaleString('en-US') + " other research products";
+    } else if (type == "results") {
+      let totalResults: number = (+this.fetchPublications.searchUtils.totalResults) +
+        (+this.fetchDatasets.searchUtils.totalResults) +
+        (+this.fetchSoftware.searchUtils.totalResults) +
+        (+this.fetchOrps.searchUtils.totalResults);
+
+      this.header2 = totalResults.toLocaleString('en-US') + " research outcomes";
+    }
+  }
+
+  private createHtmlFile(type: string, filename: string) {
+    let intro: string = '<!doctype html>';
+    intro += '<html lang="en-gb" dir="ltr" vocab="http://schema.org/">';
+    intro += '<head>';
+    intro += '<title>' + this.header1 + '</title>';
+    intro += '</head>';
+
+    if (typeof window !== 'undefined') {
+      this.subHTML = this.htmlService.getHTML(this.projectId, type, this.properties.csvAPIURL).subscribe(
+        data => {
+          //console.info(data);
+          this.htmlResultDownload = intro + '<body><div>' + this.header1 + '</div><div><h4>' + this.header2 + '</h4></div>';
+          this.htmlResultDownload += "<table><thead><tr> <th>Type</th><th>Title</th><th>Authors</th><th>Publication Year</th><th>DOI</th><th>Permanent Identifier</th><th>Publication type</th><th>Journal</th><th>Project Name (GA Number)</th><th>Access Mode</th></tr></thead><tbody>" + data + "</tbody></table>";
+          this.htmlResultDownload += '</body></html>';
+
+          //console.info(this.htmlResultDownload);
+          this.closeLoading();
+
+          let url = window.URL.createObjectURL(new Blob([this.htmlResultDownload], { type: 'text/html' }));
+          this.download(url, filename+".html");
+
+          if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
+            this.downloadHtmlFilePiwikSub = this._piwikService.trackDownload(this.properties, url).subscribe();
+          }
+        },
+        err => {
+          this.handleError("Error getting html for id: " + this.projectId, err);
+          //this.errorMessage = 'Service not available';
+          this.closeLoading();
+          this.confirmOpenFileDownloadError("HTML");
+        }
+      );
+    } else {
+      this.closeLoading();
+      this.confirmOpenFileDownloadError("HTML");
+    }
+  }
+
+  downloadHtmlFile(type: string, filename: string) {
+    this.createHeaders(type);
+    this.createHtmlFile(type, filename);
+  }
+
+  createHeader1() {
+    // if (title != undefined && title != "") {
+    //   this.header1 += title;
+    // }
+    // if ((title != undefined && title != "") &&
+    //   ((acronym != undefined && acronym != "") ||
+    //     (code != undefined && code != ""))) {
+    //   this.header1 += "(";
+    // }
+    // if (acronym != undefined && acronym != "") {
+    //   this.header1 += acronym + " - ";
+    // }
+    // if (code != undefined && code != "") {
+    //   this.header1 += code;
+    // }
+    // if ((title != undefined && title != "") &&
+    //   ((acronym != undefined && acronym != "") ||
+    //     (code != undefined && code != ""))) {
+    //   this.header1 += ")";
+    // }
+
+    this.header1 = "<div style=\"font-size:12px;\"><span>Project</span>";
+
+    if(this.projectInfo.startDate || this.projectInfo.endDate) {
+      this.header1 += "<span> . "
+    }
+    if(this.projectInfo.startDate && !this.projectInfo.endDate) {
+      this.header1 += "from ";
+    }
+    if(!this.projectInfo.startDate && this.projectInfo.endDate) {
+      this.header1 += "until ";
+    }
+    if(this.projectInfo.startDate) {
+      let startYear = (new Date(this.projectInfo.startDate)).getFullYear();
+      this.header1 += startYear;
+    }
+    if(this.projectInfo.startDate && this.projectInfo.endDate) {
+      this.header1 += " - ";
+    }
+    if(this.projectInfo.endDate) {
+      let endYear = (new Date(this.projectInfo.endDate)).getFullYear();
+      this.header1 += endYear;
+    }
+    if(this.projectInfo.startDate || this.projectInfo.endDate) {
+      this.header1 += "</span>"
+    }
+
+    if(this.projectInfo.status) {
+      this.header1 += "<span> . "+this.projectInfo.status+"</span>";
+    }
+
+    if(this.projectInfo.funding && this.projectInfo.funding.code) {
+      this.header1 += "<span> . "+this.projectInfo.funding.code+"</span>";
+    }
+    this.header1 += "</div>";
+
+    this.header1 += "<h1 style=\"margin:0;\"><div><a href=\""+window.location.href +"\">";
+    if(this.projectInfo.acronym) {
+      this.header1 += this.projectInfo.acronym;
+    } else {
+      this.header1 += "[no title available]";
+    }
+    this.header1 += "</a></div></h2>";
+    //<showTitle [titleName]="title" classNames="uk-margin-remove-bottom"></showTitle>
+    if(this.projectInfo.title) {
+      this.header1 += "<div><span>"+this.projectInfo.title+"</span></div>";
+    }
+  }
+
+  public download(url, filename) {
+    //var url = window.URL.createObjectURL(new Blob([this.htmlResultDownload], { type: 'text/html' }));
+    var a = window.document.createElement('a');
+    window.document.body.appendChild(a);
+    a.setAttribute('style', 'display: none');
+    a.href = url;
+    a.download = filename;
+    a.click();
+    window.URL.revokeObjectURL(url);
+    a.remove(); // remove the element
+  }
+
+  // copyToClipboard(element: HTMLElement) {
+  //   if (typeof document !== 'undefined') {
+  //     if (window.getSelection) {
+  //       const selection = window.getSelection();
+  //       const range = document.createRange();
+  //       range.selectNodeContents(element);
+  //       selection.removeAllRanges();
+  //       selection.addRange(range);
+  //       document.execCommand('copy');
+  //     } else {
+  //       console.warn("Could not select text in node: Unsupported browser.");
+  //     }
+  //   }
+  // }
+
   private updateDescription(description: string) {
     this._meta.updateTag({content: description.substring(0, 160)}, "name='description'");
     this._meta.updateTag({content: description.substring(0, 160)}, "property='og:description'");
@@ -518,10 +655,10 @@
     }
   }
 
-  public confirmOpenCsvError() {
+  public confirmOpenFileDownloadError(fileType: string) {
     this.alertCsvError.cancelButton = false;
     this.alertCsvError.okButton = true;
-    this.alertCsvError.alertTitle = "ERROR DOWNLOADING CSV FILE";
+    this.alertCsvError.alertTitle = "ERROR DOWNLOADING "+fileType+" FILE";
     this.alertCsvError.message = "There was an error in csv downloading. Please try again later.";
     this.alertCsvError.okButtonText = "OK";
     this.alertCsvError.open();
@@ -532,8 +669,8 @@
   }
 
   isRouteAvailable(routeToCheck: string) {
-    for (let i = 0; i < this.router.config.length; i++) {
-      let routePath: string = this.router.config[i].path;
+    for (let i = 0; i < this._router.config.length; i++) {
+      let routePath: string = this._router.config[i].path;
       if (routePath == routeToCheck) {
         return true;
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts	(revision 58275)
@@ -6,29 +6,12 @@
 
     constructor(private http: HttpClient ) {}
 
-    getHTML(id: string, size: number, type:string, csvAPIURL: string ):any {
-
-        let resultTypeId: string;
-        let requestType: string;
-        if(type == "publication") {
-          resultTypeId = 'publication';
-          requestType = 'publications';
-        } else if(type == "research data") {
-          resultTypeId = 'dataset';
-          requestType = 'datasets';
-        } else if(type == "software") {
-          resultTypeId = 'software';
-          requestType = 'software'
-        } else if(type == 'other research product') {
-          resultTypeId = 'other';
-          requestType = 'other';
-        }
-
+    getHTML(id: string, requestType:string, csvAPIURL: string ):any {
         let url = csvAPIURL;
-        url += '?format=html&type='+requestType+'&fq=(((oaftype exact result) and (resulttypeid exact "'+resultTypeId+'")) and (relprojectid exact "'+id+'"))';
+        url += '?format=html&type='+requestType+'&fq=(' +
+          //'((oaftype exact result) and (resulttypeid exact "'+resultTypeId+'")) and
+          '(relprojectid exact "'+id+'"))';
 
-        let key = url;
-
         return this.http.get(url,{responseType: 'text'});
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 58275)
@@ -203,7 +203,7 @@
     intro += '</head>';
 
     if (typeof window !== 'undefined') {
-      this.subHTML = this.htmlService.getHTML(this.projectId, this.totalResults, this.resultsType, this.properties.csvAPIURL).subscribe(
+      this.subHTML = this.htmlService.getHTML(this.projectId, this.resultsType, this.properties.csvAPIURL).subscribe(
         data => {
           //let body: string = intro+'<body><h1>'+this.header1+'</h1><h2>'+this.header2+'</h2>'+data+'</body></html>';
           let body: string = intro + '<body><h1>' + this.header1 + '</h1><h2>' + this.header2 + '</h2>';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/annotation/annotation.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/annotation/annotation.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/annotation/annotation.component.ts	(revision 58275)
@@ -30,7 +30,7 @@
           Annotate
         </button>
       </form>
-      <div [class.uk-hidden@s]="!visible" class="widget-container">
+      <div [class.uk-hidden]="!visible" class="widget-container">
         <!--Close button, should be bound to hide the widget-->
         <button type="button" class="close" aria-label="Close" (click)="toggleAnnotation($event)">
           <span aria-hidden="true">×</span>
